Class | Sequel::SQL::PlaceholderLiteralString
In: | lib/sequel/sql.rb
Parent: | Expression

Represents a literal string with placeholders and arguments. This is necessary to ensure delayed literalization of the arguments required for the prepared statement support

### Methods

new

### Attributes

args | [R] | The arguments that will be subsituted into the placeholders. Either an array of unnamed placeholders (which will be substituted in order for ? characters), or a hash of named placeholders (which will be substituted for :key phrases).
parens | [R] | Whether to surround the expression with parantheses
str | [R] | The literal string containing placeholders

### Public Class methods

new(str, args, parens=false)

Create an object with the given string, placeholder arguments, and parens flag.

[Source]

         # File lib/sequel/sql.rb, line 685
    685:       def initialize(str, args, parens=false)
    686:         @str = str
    687:         @args = args.is_a?(Array) && args.length == 1 && (v = args.at(0)).is_a?(Hash) ? v : args
    688:         @parens = parens
    689:       end

[Validate]